/**
 * Copyright (C) 2001-2002
 * - France Telecom R&D
 * - Laboratoire Logiciels, Systemes, Reseaux - UMR 5526, CNRS-INPG-UJF
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Release: 1.0
 *
 * Authors:
 *
 */

package org.objectweb.perseus.persistence.api;

/**
 * It defines a memory instance manager able to create memory instance since
 * an identifier.
 * The method releaseInstance permit to use a Pool of memory instance manager.
 *
 * @author S.Chassande-Barrioz, P.Dechamboux
 */
public interface MemoryInstanceManager {

	/**
	 * It creates an instance since an identifier
	 * @param oid is the identifier of the futur object
	 * @param context can be used by the naming to access to the support
	 * @return a memory instance
	 * @throws PersistenceException if an error occured during the instanciation
	 * of the memory instance.
	 */
	Object newInstance(Object oid,
					   ConnectionHolder context) throws PersistenceException;
}
